---
title: "1.1.0 - Release Candidate"
linkTitle: "1.1.0-rc"
date: "2019-10-21"
---

This is the 1.1.0-rc release of Agones.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.1.0-rc" >README</a> for details on features, installation and usage.

**Breaking changes:**

- Change the API for allocator to allocation.proto [\#1123](https://github.com/googleforgames/agones/pull/1123) ([pooneh-m](https://github.com/pooneh-m))

**Implemented enhancements:**

- Allocator service should log the Agones version [\#1042](https://github.com/googleforgames/agones/issues/1042)
- Allocation policy needs to expose namespace of the targeted cluster [\#980](https://github.com/googleforgames/agones/issues/980)
- Configurable log level for agones sidecar [\#971](https://github.com/googleforgames/agones/issues/971)
- Add dynamic configuration of the sidecar http port to the unreal sdk. [\#1131](https://github.com/googleforgames/agones/pull/1131) ([roberthbailey](https://github.com/roberthbailey))
- Retry on failures for multi-cluster allocation [\#1130](https://github.com/googleforgames/agones/pull/1130) ([pooneh-m](https://github.com/pooneh-m))
- Simplify the selection of the dynamic port in the nodejs sdk. [\#1128](https://github.com/googleforgames/agones/pull/1128) ([roberthbailey](https://github.com/roberthbailey))
- Simplify the selection of the dynamic port in the Go sdk. [\#1127](https://github.com/googleforgames/agones/pull/1127) ([roberthbailey](https://github.com/roberthbailey))
- Added dynamic configuration of http port in the rust sdk [\#1125](https://github.com/googleforgames/agones/pull/1125) ([roberthbailey](https://github.com/roberthbailey))
- Added dynamic configuration of http port in the unity sdk [\#1121](https://github.com/googleforgames/agones/pull/1121) ([roberthbailey](https://github.com/roberthbailey))
- Implement converters between the GameServerAllocation API and allocation.proto [\#1117](https://github.com/googleforgames/agones/pull/1117) ([pooneh-m](https://github.com/pooneh-m))
- Add AltaVR logo to companies using Agones [\#1103](https://github.com/googleforgames/agones/pull/1103) ([TimoSchmechel](https://github.com/TimoSchmechel))
- Use an environment variable to dynamically set the grpc port in the nodejs sdk [\#1093](https://github.com/googleforgames/agones/pull/1093) ([roberthbailey](https://github.com/roberthbailey))
- Set the port to connect to the sdkserver based on the AGONES\_SDK\_GRPC\_PORT environment variable [\#1092](https://github.com/googleforgames/agones/pull/1092) ([roberthbailey](https://github.com/roberthbailey))
- Use environment variables to dynamically set the grpc port in the golang sdk. [\#1086](https://github.com/googleforgames/agones/pull/1086) ([roberthbailey](https://github.com/roberthbailey))
- Add mcmahan.games to the companies using agones list. [\#1085](https://github.com/googleforgames/agones/pull/1085) ([benmcmahan](https://github.com/benmcmahan))
- Add missing "/reserve" endpoint description [\#1083](https://github.com/googleforgames/agones/pull/1083) ([aLekSer](https://github.com/aLekSer))
- Add SDK server HTTP API test [\#1079](https://github.com/googleforgames/agones/pull/1079) ([aLekSer](https://github.com/aLekSer))
- Sdkserver port configuration [\#1078](https://github.com/googleforgames/agones/pull/1078) ([roberthbailey](https://github.com/roberthbailey))
- Fixes, more e2e tests and logging for multi-cluster allocation [\#1077](https://github.com/googleforgames/agones/pull/1077) ([pooneh-m](https://github.com/pooneh-m))
- Longer blog post for Agones 1.0.0 announcement [\#1076](https://github.com/googleforgames/agones/pull/1076) ([markmandel](https://github.com/markmandel))
- Add a delay flag to the sdkserver [\#1070](https://github.com/googleforgames/agones/pull/1070) ([roberthbailey](https://github.com/roberthbailey))
- Adding namespace for multi-cluster allocation policy [\#1052](https://github.com/googleforgames/agones/pull/1052) ([pooneh-m](https://github.com/pooneh-m))
- Logging Agones version and port on the startup. [\#1048](https://github.com/googleforgames/agones/pull/1048) ([pooneh-m](https://github.com/pooneh-m))
- Adding make file to generate allocation go from proto [\#1041](https://github.com/googleforgames/agones/pull/1041) ([pooneh-m](https://github.com/pooneh-m))
- Add Sidecar log level parameter to GS specification [\#1007](https://github.com/googleforgames/agones/pull/1007) ([aLekSer](https://github.com/aLekSer))

**Security fixes:**

- Ran `npm audit fix` to update package dependencies. [\#1097](https://github.com/googleforgames/agones/pull/1097) ([roberthbailey](https://github.com/roberthbailey))
- Bump eslint-utils from 1.4.0 to 1.4.2 in /sdks/nodejs [\#1014](https://github.com/googleforgames/agones/pull/1014) ([dependabot[bot]](https://github.com/apps/dependabot))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-1.1.0-rc/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.1.0-rc](https://gcr.io/agones-images/agones-controller:1.1.0-rc)
- [gcr.io/agones-images/agones-sdk:1.1.0-rc](https://gcr.io/agones-images/agones-sdk:1.1.0-rc)
- [gcr.io/agones-images/agones-ping:1.1.0-rc](https://gcr.io/agones-images/agones-ping:1.1.0-rc)
- [gcr.io/agones-images/cpp-simple-server:0.10](https://gcr.io/agones-images/cpp-simple-server:0.10)
- [gcr.io/agones-images/nodejs-simple-server:0.1](https://gcr.io/agones-images/nodejs-simple-server:0.1)
- [gcr.io/agones-images/rust-simple-server:0.5](https://gcr.io/agones-images/rust-simple-server:0.5)
- [gcr.io/agones-images/unity-simple-server:0.2](https://gcr.io/agones-images/unity-simple-server:0.2)
- [gcr.io/agones-images/udp-server:0.15](https://gcr.io/agones-images/udp-server:0.15)
- [gcr.io/agones-images/tcp-server:0.1](https://gcr.io/agones-images/tcp-server:0.1)
- [gcr.io/agones-images/xonotic-example:0.6](https://gcr.io/agones-images/xonotic-example:0.6)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.1.0-rc.tgz" ><code>helm install agones/agones --version 1.1.0-rc</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
