---
title: "1.13.0 - Release Candidate"
linkTitle: "1.13.0-rc"
date: "2021-03-09"
---

This is the 1.13.0-rc release of Agones.

This release brings us support for Kubernetes 1.18, so if you are testing this release candidate, remember to
upgrade your clusters.

Worth noting - if you rely on Agones generated client libraries, between Kubernetes 1.17 and 1.18 the API surface of
`client-go` was changed to include a `context.Context` and `Option` struct, so you may need to change your code to
accommodate that. [This tool](https://github.com/kubernetes-sigs/clientgofix) may be useful for a quick fix.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.13.0-rc" >README</a> for details on features, installation and usage.

**Breaking changes:**

- Upgrade to Kubernetes 1.18 [\#1971](https://github.com/googleforgames/agones/issues/1971)
- Update website supported Kubernetes [\#2008](https://github.com/googleforgames/agones/pull/2008) ([markmandel](https://github.com/markmandel))
- Update client-go to support Kubernetes 1.18.0  [\#1998](https://github.com/googleforgames/agones/pull/1998) ([markmandel](https://github.com/markmandel))
- Remove simple-tcp and simple-udp [\#1992](https://github.com/googleforgames/agones/pull/1992) ([markmandel](https://github.com/markmandel))
- Upgrade dev tooling kubectl to 1.18 [\#1989](https://github.com/googleforgames/agones/pull/1989) ([markmandel](https://github.com/markmandel))
- Upgrade Terraform to 1.18 [\#1988](https://github.com/googleforgames/agones/pull/1988) ([markmandel](https://github.com/markmandel))

**Implemented enhancements:**

- Update default branch to `main` [\#1798](https://github.com/googleforgames/agones/issues/1798)
- Allow no ports for GameServer [\#749](https://github.com/googleforgames/agones/issues/749)
- Added Cubxity/AgonesKt to third party libraries [\#2013](https://github.com/googleforgames/agones/pull/2013) ([Cubxity](https://github.com/Cubxity))
- Update to PodTemplateSpec for 1.18 [\#2007](https://github.com/googleforgames/agones/pull/2007) ([markmandel](https://github.com/markmandel))
- Add support for empty ports [\#2006](https://github.com/googleforgames/agones/pull/2006) ([ItsKev](https://github.com/ItsKev))
- add Vela Games to companies that use Agones [\#2003](https://github.com/googleforgames/agones/pull/2003) ([comerford](https://github.com/comerford))
- Add RollTable to Companies that use Agones [\#2002](https://github.com/googleforgames/agones/pull/2002) ([NullSoldier](https://github.com/NullSoldier))
- Add Space Game logo to Agones site [\#2000](https://github.com/googleforgames/agones/pull/2000) ([NBoychev](https://github.com/NBoychev))
- Add WebSocket capability to WatchGameServer REST API [\#1999](https://github.com/googleforgames/agones/pull/1999) ([highlyunavailable](https://github.com/highlyunavailable))
- Move ContainerPortAllocation to Stable [\#1961](https://github.com/googleforgames/agones/pull/1961) ([markmandel](https://github.com/markmandel))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-1.13.0-rc/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.13.0-rc](https://gcr.io/agones-images/agones-controller:1.13.0-rc)
- [gcr.io/agones-images/agones-sdk:1.13.0-rc](https://gcr.io/agones-images/agones-sdk:1.13.0-rc)
- [gcr.io/agones-images/agones-ping:1.13.0-rc](https://gcr.io/agones-images/agones-ping:1.13.0-rc)
- [gcr.io/agones-images/agones-allocator:1.13.0-rc](https://gcr.io/agones-images/agones-allocator:1.13.0-rc)
- [gcr.io/agones-images/autoscaler-webhook:0.3](https://gcr.io/agones-images/autoscaler-webhook:0.3)
- [gcr.io/agones-images/cpp-simple-server:0.13](https://gcr.io/agones-images/cpp-simple-server:0.13)
- [gcr.io/agones-images/crd-client:0.5](https://gcr.io/agones-images/crd-client:0.5)
- [gcr.io/agones-images/nodejs-simple-server:0.5](https://gcr.io/agones-images/nodejs-simple-server:0.5)
- [gcr.io/agones-images/rust-simple-server:0.8](https://gcr.io/agones-images/rust-simple-server:0.8)
- [gcr.io/agones-images/simple-game-server:0.2](https://gcr.io/agones-images/simple-game-server:0.2)
- [gcr.io/agones-images/supertuxkart-example:0.3](https://gcr.io/agones-images/supertuxkart-example:0.3)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.13.0-rc.tgz" >
  <code>helm install agones agones/agones --version 1.13.0-rc</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`