---
title: "1.4.0 - Release Candidate"
linkTitle: "1.4.0-rc"
date: "2020-02-25"
---

This is the 1.4.0-rc release of Agones.

This release includes the upgrade to Kubernetes 1.14, so please be sure to upgrade your clusters.

The Node package has now been officially moved to NPM, away from Github packages as well. This includes the previous
1.3.0 release.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.4.0-rc" >README</a> for details on features, installation and usage.

**Breaking changes:**

- Update documentation \(examples and website\) to use Kubernetes 1.14 [\#1364](https://github.com/googleforgames/agones/pull/1364) ([roberthbailey](https://github.com/roberthbailey))
- Update terraform configs to use Kubernetes 1.14 [\#1342](https://github.com/googleforgames/agones/pull/1342) ([roberthbailey](https://github.com/roberthbailey))
- Update developer tooling to Kubernetes 1.14 [\#1341](https://github.com/googleforgames/agones/pull/1341) ([roberthbailey](https://github.com/roberthbailey))
- Change the GameServerAllocationPolicy version to stable. [\#1332](https://github.com/googleforgames/agones/pull/1332) ([pooneh-m](https://github.com/pooneh-m))
- Changing the allocator API to gRPC [\#1314](https://github.com/googleforgames/agones/pull/1314) ([pooneh-m](https://github.com/pooneh-m))

**Implemented enhancements:**

- Change GameServerAllocationPolicy CRD version to stable [\#1290](https://github.com/googleforgames/agones/issues/1290)
- Better documentation for BufferPolicy in fleetautoscaler  [\#1104](https://github.com/googleforgames/agones/issues/1104)
- Add Fuzz Tests [\#1098](https://github.com/googleforgames/agones/issues/1098)
- agones-allocator service should scale up independent to gameserverallocation extension API server [\#1018](https://github.com/googleforgames/agones/issues/1018)
- Missing documentation/example for new matchmaker support \(Allocate and Reserve\) [\#976](https://github.com/googleforgames/agones/issues/976)
- Release NPM package, and Node update [\#1356](https://github.com/googleforgames/agones/pull/1356) ([markmandel](https://github.com/markmandel))
- Unreal SDK add Allocate + Reserve and changes to the plugin settings [\#1345](https://github.com/googleforgames/agones/pull/1345) ([WVerlaek](https://github.com/WVerlaek))
- Adding SuperTuxKart to the examples page [\#1336](https://github.com/googleforgames/agones/pull/1336) ([markmandel](https://github.com/markmandel))
- CRD implementation of alpha player tracking [\#1324](https://github.com/googleforgames/agones/pull/1324) ([markmandel](https://github.com/markmandel))
- Player Tracking Proto and Go stubs [\#1312](https://github.com/googleforgames/agones/pull/1312) ([markmandel](https://github.com/markmandel))
- Add fuzz tests missing vendor changes [\#1306](https://github.com/googleforgames/agones/pull/1306) ([pooneh-m](https://github.com/pooneh-m))
- Extend Agones Unreal SDK [\#1303](https://github.com/googleforgames/agones/pull/1303) ([WVerlaek](https://github.com/WVerlaek))
- Super Tux Kart Example [\#1302](https://github.com/googleforgames/agones/pull/1302) ([markmandel](https://github.com/markmandel))
- Stubs for SDK alpha/beta/stable functionality [\#1285](https://github.com/googleforgames/agones/pull/1285) ([markmandel](https://github.com/markmandel))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-1.4.0-rc/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.4.0-rc](https://gcr.io/agones-images/agones-controller:1.4.0-rc)
- [gcr.io/agones-images/agones-sdk:1.4.0-rc](https://gcr.io/agones-images/agones-sdk:1.4.0-rc)
- [gcr.io/agones-images/agones-ping:1.4.0-rc](https://gcr.io/agones-images/agones-ping:1.4.0-rc)
- [gcr.io/agones-images/agones-allocator:1.4.0-rc](https://gcr.io/agones-images/agones-allocator:1.4.0-rc)
- [gcr.io/agones-images/cpp-simple-server:0.12](https://gcr.io/agones-images/cpp-simple-server:0.12)
- [gcr.io/agones-images/nodejs-simple-server:0.3](https://gcr.io/agones-images/nodejs-simple-server:0.3)
- [gcr.io/agones-images/rust-simple-server:0.7](https://gcr.io/agones-images/rust-simple-server:0.7)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/udp-server:0.18](https://gcr.io/agones-images/udp-server:0.18)
- [gcr.io/agones-images/tcp-server:0.4](https://gcr.io/agones-images/tcp-server:0.4)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)
- [gcr.io/agones-images/supertuxkart-example:0.1](https://gcr.io/agones-images/supertuxkart-example:0.1)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.4.0-rc.tgz" >
  <code>helm install agones/agones --version 1.4.0-rc</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
