---
title: "1.7.0 - Release Candidate"
linkTitle: "1.7.0-rc"
date: "2020-06-30"
---

This is the 1.7.0-rc release of Agones.

The `ContainerPortAllocation` feature has been moved to beta in this release, and the `SDK.WatchGameServer()` command
has a new alpha feature to immediately return a result.

We also have new metric and dashboard features, upgraded all our documentation and testing to Helm 3,
updated the C# SDK, improved the allocation endpoint system and more.

Check the <a href="https://github.com/googleforgames/agones/tree/release-1.7.0-rc" >README</a> for details on features, installation and usage.

**Implemented enhancements:**

- WatchGameServer should immediately provide the cached GameServer [\#1630](https://github.com/googleforgames/agones/issues/1630)
- Feature Request: Allow 'serverCa' to come from secret/configmap in GameServerAllocationPolicy CRD [\#1614](https://github.com/googleforgames/agones/issues/1614)
- Automatically refresh all allocator TLS certs, not just client CA cert [\#1599](https://github.com/googleforgames/agones/issues/1599)
- Move ContainerPortAllocation to beta [\#1563](https://github.com/googleforgames/agones/issues/1563)
- Add GameServer state duration metric [\#1013](https://github.com/googleforgames/agones/issues/1013)
- Expose GameServer state change metrics [\#831](https://github.com/googleforgames/agones/issues/831)
- Update developer tooling to Helm 3 [\#1647](https://github.com/googleforgames/agones/pull/1647) ([markmandel](https://github.com/markmandel))
- Update Terraform to Helm 3 [\#1646](https://github.com/googleforgames/agones/pull/1646) ([markmandel](https://github.com/markmandel))
- Conditionally enable mtls for the allocator. [\#1645](https://github.com/googleforgames/agones/pull/1645) ([devloop0](https://github.com/devloop0))
- New feature: SDK cached gameserver [\#1642](https://github.com/googleforgames/agones/pull/1642) ([akremsa](https://github.com/akremsa))
- Adding support for refreshing TLS certs in the allocator [\#1638](https://github.com/googleforgames/agones/pull/1638) ([devloop0](https://github.com/devloop0))
- Helm 3 Install Documentation [\#1627](https://github.com/googleforgames/agones/pull/1627) ([markmandel](https://github.com/markmandel))
- Add flags which allow to pass namespace to e2e tests [\#1623](https://github.com/googleforgames/agones/pull/1623) ([akremsa](https://github.com/akremsa))
- Update docs to explicitly allow specifying ca.crt in client secret instead of serverCa field for multi-cluster allocation [\#1619](https://github.com/googleforgames/agones/pull/1619) ([robbieheywood](https://github.com/robbieheywood))
- Add port flag to example allocator-client [\#1618](https://github.com/googleforgames/agones/pull/1618) ([robbieheywood](https://github.com/robbieheywood))
- Grafana - add namespace to autoscalers dashboard [\#1615](https://github.com/googleforgames/agones/pull/1615) ([akremsa](https://github.com/akremsa))
- Additional commands for prometheus and grafana [\#1601](https://github.com/googleforgames/agones/pull/1601) ([akremsa](https://github.com/akremsa))
- Grafana - add namespace to distinguish fleets with the same name [\#1597](https://github.com/googleforgames/agones/pull/1597) ([akremsa](https://github.com/akremsa))
- C\# SDK Cleanup & Nuget Package [\#1596](https://github.com/googleforgames/agones/pull/1596) ([rcreasey](https://github.com/rcreasey))
- Adding AccelByte in Companies using Agones list [\#1593](https://github.com/googleforgames/agones/pull/1593) ([accelbyte-raymond](https://github.com/accelbyte-raymond))
- Metrics: add namespace to distinguish fleets with the same name [\#1585](https://github.com/googleforgames/agones/pull/1585) ([akremsa](https://github.com/akremsa))
- Move ContainerPortAllocation to beta [\#1577](https://github.com/googleforgames/agones/pull/1577) ([akremsa](https://github.com/akremsa))
- New metric - state duration [\#1468](https://github.com/googleforgames/agones/pull/1468) ([aLekSer](https://github.com/aLekSer))
- CI: Adding E2E cluster name as a parameter for CloudBuild [\#1611](https://github.com/googleforgames/agones/pull/1611) ([aLekSer](https://github.com/aLekSer))

Documentation: https://development.agones.dev/site/

See <a href="https://github.com/googleforgames/agones/blob/release-1.7.0-rc/CHANGELOG.md" >CHANGELOG</a> for more details on changes.

Images available with this release:

- [gcr.io/agones-images/agones-controller:1.7.0-rc](https://gcr.io/agones-images/agones-controller:1.7.0-rc)
- [gcr.io/agones-images/agones-sdk:1.7.0-rc](https://gcr.io/agones-images/agones-sdk:1.7.0-rc)
- [gcr.io/agones-images/agones-ping:1.7.0-rc](https://gcr.io/agones-images/agones-ping:1.7.0-rc)
- [gcr.io/agones-images/agones-allocator:1.7.0-rc](https://gcr.io/agones-images/agones-allocator:1.7.0-rc)
- [gcr.io/agones-images/cpp-simple-server:0.12](https://gcr.io/agones-images/cpp-simple-server:0.12)
- [gcr.io/agones-images/nodejs-simple-server:0.5](https://gcr.io/agones-images/nodejs-simple-server:0.5)
- [gcr.io/agones-images/rust-simple-server:0.7](https://gcr.io/agones-images/rust-simple-server:0.7)
- [gcr.io/agones-images/unity-simple-server:0.3](https://gcr.io/agones-images/unity-simple-server:0.3)
- [gcr.io/agones-images/udp-server:0.21](https://gcr.io/agones-images/udp-server:0.21)
- [gcr.io/agones-images/tcp-server:0.4](https://gcr.io/agones-images/tcp-server:0.4)
- [gcr.io/agones-images/xonotic-example:0.8](https://gcr.io/agones-images/xonotic-example:0.8)
- [gcr.io/agones-images/supertuxkart-example:0.2](https://gcr.io/agones-images/supertuxkart-example:0.2)
- [gcr.io/agones-images/crd-client:0.3](https://gcr.io/agones-images/crd-client:0.3)

Helm chart available with this release:

- <a href="https://agones.dev/chart/stable/agones-1.7.0-rc.tgz" >
  <code>helm install agones/agones --version 1.7.0-rc</code></a>

> Make sure to add our stable helm repository using `helm repo add agones https://agones.dev/chart/stable`
